<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
    <meta charset="UTF-8">
    <title>All users</title>

    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" type="text/css" href="../static/css/styles.css" th:href="@{/css/styles.css}">

    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

    <!-- Bootstrap css -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
          integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">

</head>

<body>
<div class="container-fluid">
    <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
        <a class="navbar-brand" href="/">Beer-Tag</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav"
                aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav">
                <li class="nav-item">
                    <a class="nav-link" href="/beers">Beers </span></a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="/breweries">Breweries</a>
                </li>
                <li class="nav-item active">
                    <a class="nav-link" href="/users">Users</a>
                </li>
            </ul>
            <ul class="nav navbar-nav ml-auto">
                <li class="nav-item " sec:authorize="isAnonymous()">
                    <a class="nav-link" href="/login">Login</a>
                </li>
                <li class="nav-item  " sec:authorize="isAuthenticated()">
                    <a class="nav-link" th:href="@{'/users/'+ ${userDetail.id}}">My profile</a>
                </li>
                <li class="nav-item" sec:authorize="isAuthenticated()">
                    <a class="nav-link" th:href="@{'/users/'+ ${userDetail.id}}">
                        <img th:src="${userDetail.photo}" class=" profile-picture"></a>
                </li>
                <li>
                    <form style="margin-top: 0;" sec:authorize="isAuthenticated()" th:action="@{/logout}" method="post">
                        <input type="submit" class="btn btn-link btn-logout" value="Logout"/>
                    </form>
                </li>
            </ul>
        </div>
    </nav>
    <!-- end of navbar -->
    <div th:if="${users.isEmpty()}">
        <div class="jumbotron jumbotron-fluid">
            <div class="container container-fluid">
                <h1 class="display-4">No users located...</h1>
                <p class="lead">We are very sorry. There aren't any registered users at the moment.</p>
                <p class="lead">Would you like to be first?</p>
                <button type="button" class="btn btn-danger" onclick="window.location.href = '/register' ">Register
                </button>
            </div>
        </div> <!-- end of jumbotron -->
    </div>
    <div th:unless="${users.isEmpty()}">
        <div class="jumbotron jumbotron-fluid">
            <div class="container container-fluid">
                <h1 class="display-4">All of our users!</h1>
                <p class="lead">Here you can see a list of all of our users.</p>
                <form th:action="@{/users}" method="get">
                    <div class="row centered-content-row">
                        <div class="col">
                            <div class="input-group mb-3">
                                <div class="input-group-prepend">
                                    <label class="input-group-text" for="inputGroupSelect01">First Name</label>
                                </div>
                                <input class="custom-select" id="inputGroupSelect01" type="text"
                                       placeholder="Enter first name..."  th:name="firstName"/>
                            </div>
                        </div>
                        <div class="col">
                            <div class="input-group mb-3">
                                <div class="input-group-prepend">
                                    <label class="input-group-text" for="inputGroupSelect01">Last Name</label>
                                </div>
                                <input class="custom-select" id="inputGroupSelect01" type="text"
                                       placeholder="Enter last name..."  th:name="lastName"/>
                            </div>
                        </div>
                    </div>
                    <div class="row centered-content-row">
                        <h6 class="form-check-label" style="padding: 5px">Order by</h6>
                    </div>
                    <div class="row centered-content-row">
                        <div class="btn-group " role="group" aria-label="Basic example">
                            <button type="submit" class="btn btn-danger btn2"
                                    th:name="sortBy" th:value="firstName" >First name</button>
                            <button type="submit" class="btn btn-danger btn2"
                                    th:name="sortBy" th:value="lastNamee">Last name</button>
                        </div>
                    </div>
                </form>
            </div>
        </div> <!-- end of jumbotron -->
    </div>

    <div class="container">
        <div class="row beers-card-list-row">
            <div class="col beers-card-list" th:each="user : ${users}">
                <div class="card" style="width: 18rem;">
                    <div th:onclick="|window.location.href='/users/${user.getId()}'|">
                        <div class="beer-picture">
                            <img src="../static/images/beer-example.jpg" th:if="${user.photo != null}"
                                 th:src="@{${user.photo}}"
                                 class="card-img-top img-rounded" alt="../static/images/beer-example.jpg">
                        </div>
                        <div class="card-body"  >
                            <h5 class="card-title" th:text="${user.firstName} + ' ' + ${user.lastName}">First name Last
                                name </h5>
                        </div>
                        <ul class="list-group list-group-flush">
                            <li class="list-group-item"><a th:text="${user.country.name}">country</a></li>

                        </ul>
                        <ul class="list-group list-group-flush">
                            <li class="list-group-item"><a th:text="${user.email}"> email</a></li>
                        </ul>
                    </div>
                    <div class="btn-group" role="group">
                        <button type="button" class="btn btn-danger btn1"
                                th:onclick="|window.location.href='/users/${user.getId()}'|">
                            View profile
                        </button>
                    </div>
                </div> <!-- end of card --->
            </div>
        </div>

        <!--        <nav id="pagination-nav ">-->
        <!--            <ul class="pagination justify-content-center">-->
        <!--                <li class="page-item" th:if="${beerPage.totalPages > 0}" th:each="pageNumber : ${pageNumbers}">-->
        <!--                    <a id="pagination" class="page-link" th:href="@{/beers/(size=${beerPage.size}, page=${pageNumber})}"-->
        <!--                       th:text="${pageNumber}"-->
        <!--                       th:class="'page-link ' + (${pageNumber==beerPage.number + 1} ? 'active-page' : '')">-->
        <!--                        1-->
        <!--                    </a>-->
        <!--                </li>-->
        <!--            </ul>-->
        <!--        </nav>&lt;!&ndash; End of pagination -&ndash;&gt;-->

    </div> <!-- end of beer list-->
</div>

</body>
</html>